Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class SimpleDriverDataSource

    java.lang.Object
      org.apache.openjpa.jdbc.schema.SimpleDriverDataSource

All Implemented Interfaces:
  Wrapper, CommonDataSource, DataSource, DriverDataSource

Direct Known Subclasses:
  DBCPDriverDataSource

    public class SimpleDriverDataSource

extends Object
implements DriverDataSource

Non-pooling driver data source.

Field Summary
`protected static Localizer` | `_eloc`
`protected static Localizer` | `_loc`

Constructor Summary
`SimpleDriverDataSource()`

Method Summary
`List<ConnectionDecorator>` | `createConnectionDecorators()` Provide any built-in decorators; may be null.
`ClassLoader` | `getClassLoader()` Classloader for loading driver class, etc.
`Connection` | `getConnection()`
`Connection` | `getConnection(Properties props)`
`Connection` | `getConnection(String username, String password)`
`String` | `getConnectionDriverName()` Driver class name.
`Properties` | `getConnectionFactoryProperties()` Configuration of datasource properties.
`protected String` | `getConnectionPassword()`
`Properties` | `getConnectionProperties()` Configuration of connection.
`String` | `getConnectionURL()` JDBC URL.
`String` | `getConnectionUserName()` JDBC user name.
`int` | `getLoginTimeout()`
`PrintWriter` | `getLogWriter()`
`Logger` | `getParentLogger()`
`protected Connection` | `getSimpleConnection(Properties props)`
`protected Driver` | `getSimpleDriver()`
`void` | `initDBDictionary(DBDictionary dict)` Initialize self and dictionary once available.
`boolean` | `isWrapperFor(Class<?> iface)`
`void` | `setClassLoader(ClassLoader classLoader)` JDBC password.
`void` | `setConnectionDriverName(String connectionDriverName)` Driver class name.
`void` | `setConnectionFactoryProperties(Properties props)` Configuration of datasource properties.
`void` | `setConnectionPassword(String connectionPassword)` JDBC password.
`void` | `setConnectionProperties(Properties props)` Configuration of connection.
`void` | `setConnectionURL(String connectionURL)` JDBC URL.
`void` | `setConnectionUserName(String connectionUserName)` JDBC user name.
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(PrintWriter out)`
`Object` | `unwrap(Class iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _loc

    protected static Localizer _loc

### _eloc

    protected static Localizer _eloc

Constructor Detail

### SimpleDriverDataSource

    public SimpleDriverDataSource()

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(String username,
                                    String password)
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(Properties props)
                             throws SQLException

  Throws:
    `SQLException`

### getSimpleConnection

    protected Connection getSimpleConnection(Properties props)
                                      throws SQLException

  Throws:
    `SQLException`

### getLoginTimeout

    public int getLoginTimeout()

  Specified by:
    `getLoginTimeout` in interface `CommonDataSource`

### setLoginTimeout

    public void setLoginTimeout(int seconds)

  Specified by:
    `setLoginTimeout` in interface `CommonDataSource`

### getLogWriter

    public PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `CommonDataSource`

### setLogWriter

    public void setLogWriter(PrintWriter out)

  Specified by:
    `setLogWriter` in interface `CommonDataSource`

### initDBDictionary

    public void initDBDictionary(DBDictionary dict)

  Description copied from interface: `DriverDataSource`
  Initialize self and dictionary once available.

  Specified by:
    `initDBDictionary` in interface `DriverDataSource`

### setConnectionURL

    public void setConnectionURL(String connectionURL)

  Description copied from interface: `DriverDataSource`
  JDBC URL.

  Specified by:
    `setConnectionURL` in interface `DriverDataSource`

### getConnectionURL

    public String getConnectionURL()

  Description copied from interface: `DriverDataSource`
  JDBC URL.

  Specified by:
    `getConnectionURL` in interface `DriverDataSource`

### setConnectionUserName

    public void setConnectionUserName(String connectionUserName)

  Description copied from interface: `DriverDataSource`
  JDBC user name.

  Specified by:
    `setConnectionUserName` in interface `DriverDataSource`

### getConnectionUserName

    public String getConnectionUserName()

  Description copied from interface: `DriverDataSource`
  JDBC user name.

  Specified by:
    `getConnectionUserName` in interface `DriverDataSource`

### setConnectionPassword

    public void setConnectionPassword(String connectionPassword)

  Description copied from interface: `DriverDataSource`
  JDBC password.

  Specified by:
    `setConnectionPassword` in interface `DriverDataSource`

### getConnectionPassword

    protected String getConnectionPassword()

### setConnectionProperties

    public void setConnectionProperties(Properties props)

  Description copied from interface: `DriverDataSource`
  Configuration of connection.

  Specified by:
    `setConnectionProperties` in interface `DriverDataSource`

### getConnectionProperties

    public Properties getConnectionProperties()

  Description copied from interface: `DriverDataSource`
  Configuration of connection.

  Specified by:
    `getConnectionProperties` in interface `DriverDataSource`

### setConnectionFactoryProperties

    public void setConnectionFactoryProperties(Properties props)

  Description copied from interface: `DriverDataSource`
  Configuration of datasource properties.

  Specified by:
    `setConnectionFactoryProperties` in interface `DriverDataSource`

### getConnectionFactoryProperties

    public Properties getConnectionFactoryProperties()

  Description copied from interface: `DriverDataSource`
  Configuration of datasource properties.

  Specified by:
    `getConnectionFactoryProperties` in interface `DriverDataSource`

### createConnectionDecorators

    public List<ConnectionDecorator> createConnectionDecorators()

  Description copied from interface: `DriverDataSource`
  Provide any built-in decorators; may be null.

  Specified by:
    `createConnectionDecorators` in interface `DriverDataSource`

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

  Description copied from interface: `DriverDataSource`
  JDBC password.

  Specified by:
    `setClassLoader` in interface `DriverDataSource`

### getClassLoader

    public ClassLoader getClassLoader()

  Description copied from interface: `DriverDataSource`
  Classloader for loading driver class, etc.

  Specified by:
    `getClassLoader` in interface `DriverDataSource`

### setConnectionDriverName

    public void setConnectionDriverName(String connectionDriverName)

  Description copied from interface: `DriverDataSource`
  Driver class name.

  Specified by:
    `setConnectionDriverName` in interface `DriverDataSource`

### getConnectionDriverName

    public String getConnectionDriverName()

  Description copied from interface: `DriverDataSource`
  Driver class name.

  Specified by:
    `getConnectionDriverName` in interface `DriverDataSource`

### getSimpleDriver

    protected Driver getSimpleDriver()

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)

  Specified by:
    `isWrapperFor` in interface `Wrapper`

### unwrap

    public Object unwrap(Class iface)

  Specified by:
    `unwrap` in interface `Wrapper`

### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

  Throws:
    `SQLFeatureNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.